Loading...
Searching...
No Matches
ConstantFolder< SignatureT, 0 > Struct Template Reference

`#include <openvdb_ax/codegen/ConstantFolding.h>`

## Public Types

using | ArgT
using | ArgumentValueType

## Static Public Member Functions

template<typename ... Tys>
static llvm::Value * | fold (const std::vector< llvm::Constant * > &args, const SignatureT &function, llvm::LLVMContext &C, Tys &&... ts)

## Member Typedef Documentation

## ArgT

using ArgT

## ArgumentValueType

using ArgumentValueType

## Member Function Documentation

## fold()

template<typename SignatureT>
template<typename ... Tys>

llvm::Value * fold | ( | const std::vector< llvm::Constant * > & | args,
|  | const SignatureT & | function,
|  | llvm::LLVMContext & | C,
|  | Tys &&... | ts )

inline static